Last Comment Bug 621710 - Add bv.nl to PSL
: Add bv.nl to PSL
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla2.0
Assigned To: Gervase Markham [:gerv]
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-28 09:22 PST by Gervase Markham [:gerv]
Modified: 2011-03-14 02:44 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.17-fixed
.19-fixed


Attachments
Patch v.1 (886 bytes, patch)
2011-01-26 12:40 PST, Gervase Markham [:gerv]
mbeltzner: approval2.0+
dveditz: approval1.9.2.17+
dveditz: approval1.9.1.19+
Details | Diff | Splinter Review

Description User image Gervase Markham [:gerv] 2010-12-28 09:22:50 PST
Dear Publicsuffix,

In he near future we will start giving out registrations for foo.bv.nl to dutch companies that are a registered BV (besloten vennootschap). For correct browser behaviour we would like to be included in the list. Also, can you advise on how to get this same issue solved on IE and safari?
Attached you will find our diff.

Regards,
Marius Karthaus

BVpuntNL


bv.diff

--- tld.dat	2010-12-10 06:10:56.000000000 +0100
+++ tld.bv.dat	2010-12-12 21:42:26.821109002 +0100
@@ -2647,7 +2647,8 @@
 // Confirmed by registry <Antoin.Verschuren@sidn.nl> (with technical
 // reservations) 2008-06-08
 nl
-
+// BV.nl will be a registry for dutch BV's (besloten vennootschap)
+*.bv.nl
 // no : http://www.norid.no/regelverk/index.en.html
 // The Norwegian registry has declined to notify us of updates. The web pages
 // referenced below are the official source of the data. There is also an
Comment 1 User image Gervase Markham [:gerv] 2011-01-18 05:11:01 PST
This diff says that we should treat <something>,bv.nl as a public suffix - and therefore that the website for e.g. Foo B.V. is going to be registered at foo.<something>.bv.nl. However, the English text of the email says that websites are going to be registered at foo.bv.nl.

I have emailed the bv.nl registry to ask them to clarify.

Gerv
Comment 2 User image Marius Karthaus 2011-01-18 15:08:58 PST
Looking at the list and the examples I do not understand why I chose to submit '*.bv.nl' You are right to assume that we need to have plain 'bv.nl'

Thank you for spotting this.
Comment 3 User image Gervase Markham [:gerv] 2011-01-26 12:40:45 PST
Created attachment 507210 [details] [diff] [review]
Patch v.1

As agreed.

Gerv
Comment 4 User image Mike Beltzner [:beltzner, not reading bugmail] 2011-02-16 12:53:07 PST
Comment on attachment 507210 [details] [diff] [review]
Patch v.1

a=beltzner
Comment 5 User image David Baron :dbaron: ⌚️UTC-8 2011-02-27 20:00:15 PST
http://hg.mozilla.org/mozilla-central/rev/4aa1a8bc87fd

(I used the wrong bug number, though; I'll comment there.)
Comment 6 User image Daniel Veditz [:dveditz] 2011-03-11 11:33:44 PST
Comment on attachment 507210 [details] [diff] [review]
Patch v.1

Approved for 1.9.2.16 and 1.9.1.18, a=dveditz

Note You need to log in before you can comment on or make changes to this bug.